<div class="component-correct-width">
  <div fxLayout="row" fxLayoutAlign="space-between center">
    <div fxLayout="column" fxFlex="100%">
      <div fxLayout="row">
        <div fxLayout="column" fxFlex="28%" class="bheader">
          <div fxLayout="row" fxLayoutAlign="end center">
            {{monthlyHistory && monthlyHistory[0]?.dailyMenuDate | date: 'MMMM y'}}
          </div>
        </div>
        <div fxLayout="column" fxFlex="10%" class="bheader">
          <div fxLayout="row">
            <button mdTooltip="Next month" md-icon-button [routerLink]="['/chef/menus', getNextYear(), getNextMonth()]"><i class="material-icons">keyboard_arrow_up</i></button>
            <button mdTooltip="Previous month" md-icon-button [routerLink]="['/chef/menus', getPreviousYear(), getPreviousMonth()]"><i class="material-icons">keyboard_arrow_down</i></button>
          </div>
        </div>
      </div>
      <div fxLayout="row">
        <div fxLayout="column" fxFlex="28%" class="sheader">
          <div fxLayout="row" fxLayoutAlign="end center">
            Assign foods to dates
          </div>
        </div>
      </div>
    </div>
    <div fxLayout="column">
      <app-chef-nav-bar>
      </app-chef-nav-bar>
    </div>
  </div>
  <main class="mdl-layout__content">
  </main>
  <md-spinner class="big-spinner" *ngIf="loading"></md-spinner>
  <div *ngIf="!loading" class="flex-container" fxLayout fxLayout.xs="column" fxLayoutWrap="wrap">
    <div class="days" fxFlex="20%" *ngFor="let day of dayNames">
      <div fxLayout="row" fxLayoutAlign="space-around center" class="days">
        {{day}}
      </div>
    </div>
    <div fxFlex="20%" *ngFor="let dayAfter of daysAfterMonday">
    </div>
    <div class="flex-item" fxFlex="20%" *ngFor="let dm of monthlyHistory; let idx = index">
      <app-daily-menu-component [dailyHistory]="dm" [foodsWithVersion]="foodsWithVersion" (refresh)="refreshAll()"></app-daily-menu-component>
    </div>
  </div>
</div>
